Returns the end point of a curve object.
Rhino.CurveEndPoint (strObject [, intIndex [, arrPoint]])
strObject |
Required. String. The object's identifier. |
intIndex |
Optional. Number. If strObject identifies a polycurve object, then intIndex identifies the curve segment of the polycurve to query. |
arrPoint |
Optional. Point. The new end point. |
Array |
The 3-D end point of the curve if successful. |
Null |
If not successful, or on error. |
Dim strObject, arrPoint
strObject = Rhino.GetObject("Select a curve")
If Rhino.IsCurve(strObject) Then
arrPoint = Rhino.CurveEndPoint(strObject)
Rhino.AddPoint arrPoint
End If